Subject: bug#26140: [PATCH 7/7] gnu: obnam: Enable tests.

From: Arun Isaac <[email-masked]>
Date: Sat, 18 Mar 2017 11:24:27 +0530

> The manual has details on the available users and groups in the build
> environment (info "(guix) Build Environment Setup"):
>
>    • ‘/etc/passwd’ with an entry for the current user and an entry for
>      user ‘nobody’;
>
>    • ‘/etc/group’ with an entry for the user’s group;
>
> So you can rely on user “nobody”, but not on “nogroup”.

Yes, I did read the manual. But, I found this old thread (
https://lists.gnu.org/archive/html/guix-devel/2014-05/msg00103.html )
about "nogroup". So, I was wondering if it had been added.

Could we add "nogroup" to the build environment? It would certainly make
the obnam check function a little shorter and cleaner. But, other than
that, I don't know how widely useful it would be.